Table of Contents

## Name

XcmsCIELuvQueryMaxC, XcmsCIELuvQueryMaxL, XcmsCIELuvQueryMaxLC, XcmsCIELuvQueryMinL - obtain the CIE L*u*v* coordinates

## Syntax

Status XcmsCIELuvQueryMaxC(ccc, hue_angle, L_star, color_return)
XcmsCCC ccc;
XcmsFloat hue_angle;
XcmsFloat L_star;
XcmsColor *color_return;

Status XcmsCIELuvQueryMaxL(ccc, hue_angle, chroma, color_return)
XcmsCCC ccc;
XcmsFloat hue_angle;
XcmsFloat chroma;
XcmsColor *color_return;

Status XcmsCIELuvQueryMaxLC(ccc, hue_angle, color_return)
XcmsCCC ccc;
XcmsFloat hue_angle;
XcmsColor *color_return;

Status XcmsCIELuvQueryMinL(ccc, hue_angle, chroma, color_return)
XcmsCCC ccc;
XcmsFloat hue_angle;
XcmsFloat chroma;
XcmsColor *color_return;

## Arguments

ccc
  Specifies the CCC. Note that the CCC's Client White Point and White Point Adjustment procedures are ignored.
chroma
  Specifies the chroma at which to find maximum lightness (MaxL) or minimum lightness (MinL). or minimum lightness (MinL) or hue angle (MaxLC)
color_return
  Returns the CIE L*u*v* coordinates of c displayable by the screen for the given hue angle and lightness (MaxC), hue angle and chroma (MaxL and MinL),. The white point associated with the returned color specification is the Screen White Point. The value returned in the pixel member is undefined. or minimum lightness (MinL)
hue_angle
  Specifies the hue angle (in degrees) at which to find maximum chroma (MaxC and MaxLC), maximum lightness (MaxL),.
L_star
  Specifies the lightness (L*) at which to find s.

## Description

The XcmsCIELuvQueryMaxC function, given a hue angle and lightness, finds the point of maximum chroma displayable by the screen. It returns this point in CIE L*u*v* coordinates.

The XcmsCIELuvQueryMaxL function, given a hue angle and chroma, finds the point in CIE L*u*v* color space of maximum lightness (L*) displayable by the screen. It returns this point in CIE L*u*v* coordinates. An XcmsFailure return value usually indicates that the given chroma is beyond maximum for the given hue angle.

The XcmsCIELuvQueryMaxLC function, given a hue angle, finds the point of maximum chroma displayable by the screen. It returns this point in CIE L*u*v* coordinates.

The XcmsCIELuvQueryMinL function, given a hue angle and chroma, finds the point of minimum lightness (L*) displayable by the screen. It returns this point in CIE L*u*v* coordinates. An XcmsFailure return value usually indicates that the given chroma is beyond maximum for the given hue angle.

## See Also

XcmsCIELabQueryMaxC(3X11) , XcmsTekHVCQueryMaxC(3X11) , XcmsQueryBlack(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also